# KDChartGridAttributes.cpp File Reference

`#include "KDChartGridAttributes.h"`
`#include <QPen>`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartGridAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::GridAttributes &a)

## Define Documentation

#define d d_func()

Definition at line 33 of file KDChartGridAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::GridAttributes & | a |
| ) |  |  |

Definition at line 279 of file KDChartGridAttributes.cpp.

    00280 {
    00281     dbg << "KDChart::GridAttributes("
    00282             << "visible="<<a.isGridVisible()
    00283             << "subVisible="<<a.isSubGridVisible()
    00284             // KDChartEnums::GranularitySequence sequence;
    00285             << "stepWidth=" << a.gridStepWidth()
    00286             << "subStepWidth=" << a.gridSubStepWidth()
    00287             << "pen="<<a.gridPen()
    00288             << "subPen="<<a.subGridPen()
    00289             << "zeroPen="<<a.zeroLinePen()
    00290             << ")";
    00291     return dbg;
    00292 }